/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (09/05/07)
 */    
package com.ejie.p06b.log;

import java.text.MessageFormat;
import java.util.Date;
import com.ejie.p06b.xlnet.P06BPerfilUsuario;


/**
 * Clase que define el Log por la salida estándard
 */      
public class P06BStdLog implements P06BILog {
	
  public void lanza(P06BPerfilUsuario perfil, Object src, String message) {
    Object[] parametros = {
        new Date(System.currentTimeMillis()),
        src.toString(),
        message,perfil.getIdUsuario() };
    try {
        P06BLog.send(2,"mensaje",MessageFormat.format("[{1}][{0}]\"{2}\"",parametros));
    }
    catch (Exception e) {
        P06BLog.send(2,"mensaje", "ERROR DE CONSOLA");
    }
  }

  public void lanza(Object src, String message) {
    Object[] parametros = {
        new Date(System.currentTimeMillis()),
        src.toString(),
        message };

    System.err.println( MessageFormat.format("[{1}][{0}]\"{2}\"",parametros));
  }

}